#ifndef _GRUBENV_H
#define _GRUBENV_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

#define GRUBENV_SIZE 1024 

#ifdef CONFIG_GRUBENV_PATH
#define GRUBENV_PATH	CONFIG_GRUBENV_PATH
#else
#define GRUBENV_PATH	GRUBENV_DEFAULT_PATH
#endif

#define GRUBENV_PATH_NEW	GRUBENV_PATH ".new"

struct grubenv_t {
	struct dict vars;
	size_t size;
};
int grubenv_set(const char *name, const char *value);
int grubenv_unset(const char *name);
int grubenv_apply_list(const char *script);
char *grubenv_get(const char *name);

#endif
